KDE 4.2 PyKDE API Reference

- KDE's Python API

# AvCapture Class Reference

`from PyKDE4.phonon import *`

Inherits: QObject,Phonon.MediaNode
Namespace: Phonon::Experimental

## Detailed Description

Media data from a soundcard, soundserver, camera or any other hardware device supported by the backend.

This class gives you access to the capture capabilities of the backend. There might be more than only one possible capture source, for audio, as well as for video. The list of available sources is available through BackendCapabilities.availableAudioCaptureDevices and BackendCapabilities.availableVideoCaptureDevices.

Author:
  Matthias Kretz <kretz@kde.org>

See also:
  BackendCapabilities.availableAudioCaptureDevices

See also:
  BackendCapabilities.availableVideoCaptureDevices

## Methods

Phonon.AudioCaptureDevice | audioCaptureDevice (self)
| setAudioCaptureDevice (self, Phonon.AudioCaptureDevice source)
| setAudioCaptureDevice (self, Phonon.Category category)
| setVideoCaptureDevice (self, VideoCaptureDevice source)
| setVideoCaptureDevice (self, Phonon.Category category)
| start (self)
| stop (self)
VideoCaptureDevice | videoCaptureDevice (self)

## Method Documentation

Phonon.AudioCaptureDevice audioCaptureDevice | ( |  | self ) |

Returns the currently used capture source for the audio signal.

See also:
  AudioCaptureDevice

See also:
  setAudioCaptureDevice(const AudioCaptureDevice &)

See also:
  setAudioCaptureDevice(int)

setAudioCaptureDevice | ( | self, |
|  | Phonon.AudioCaptureDevice | source
| ) |  |  |

Sets the audio capture source to use.

Parameters:

  | source | An object of class AudioCaptureDevice. A list of available objects can be queried from BackendCapabilities.availableAudioCaptureDevices.

See also:
  audioCaptureDevice

See also:
  setAudioCaptureDevice(int)

setAudioCaptureDevice | ( | self, |
|  | Phonon.Category | category
| ) |  |  |

setVideoCaptureDevice | ( | self, |
|  | VideoCaptureDevice | source
| ) |  |  |

Sets the video capture source to use.

Parameters:

  | source | An object of class VideoCaptureDevice. A list of available objects can be queried from BackendCapabilities.availableVideoCaptureDevices.

See also:
  videoCaptureDevice

See also:
  setVideoCaptureDevice(int)

setVideoCaptureDevice | ( | self, |
|  | Phonon.Category | category
| ) |  |  |

start | ( |  | self ) |

Start capture.

stop | ( |  | self ) |

Stop capture.

VideoCaptureDevice videoCaptureDevice | ( |  | self ) |

Returns the currently used capture source for the video signal.

See also:
  VideoCaptureDevice

See also:
  setVideoCaptureDevice(const VideoCaptureDevice &)

See also:
  setVideoCaptureDevice(int)